Subject: Re: bug#13850: Emacs for Windows: Launch better from a command prompt

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Mar 2013 17:33:40 +0200

> Date: Sat, 2 Mar 2013 10:13:42 -0500
> From: Andrew Pennebaker <[email-masked]>
> 
> Hmm. I ask, because I use several operating systems, and it would be nice
> to call a single command dor all of them: emacs.

Don't you start Emacs when the machine starts and keep it running all
the time until the machine is shut down?  If you do, you don't need
to type the command name too much.

Or you could just click the icon on the desktop, in which case you
don't need to worry which executable file is being run by it.

Or you could make a shell script called 'runemacs' on Unix, and have a
single command to use on all platforms.

> You say runemacs calls emacs with some settings. Could we achieve the same
> behavior by making those the default in emacs.exe?

Not trivially; at least I don't know how to do that.  Take a look at
runemacs.c in the sources: you will see that it runs emacs.exe with
special non-default options (to hide its console window).  Again, the
same executable should be able to be run as a TTY session, so it must
be a console program, as far as Windows is concerned.